Subject: Re: bug#41852: 27.0.50; text-scale commands don't scale header of tabulated-list-mode

From: martin rudalics <[email-masked]>
Date: Fri, 30 Oct 2020 09:54:38 +0100

> +default) will also change the text height of the 'header-line' face.

I'd prefer "font size" instead of "text height" here.  Also, I'd like to
see some clarification

(1) that only the size of the header line face for a buffer where
'text-scale-mode-header-line' has been set is affected (the line above
is IMHO too general to state this restriction),

(2) that text in the header line or elsewhere in such a buffer not
inheriting from (the remapped) header line face is unaffected, and

(3) whether and how existing customizations of the header line face are
taken into account.

Wrt (3) I assume that 'tabulated-list-mode' can already get derailed
when a user customizes header line face to use some large or small font
size (a scenario where face remapping is not involved at all).

Note that maybe 'text-scale-mode-header-line' should be also watched by
'set-buffer-redisplay'.

Thanks, martin